import java.io.*;
import Text;

// (c) Ali SAYGIVAR

public class H9O1
{
  public static void main(String[] args) throws IOException
  {
    DataInputStream input; 
    int[] i= new int[100];
    String s1;
    Text cin= new Text();
    System.out.print("Lutfen dosya ismini giriniz: ");
    s1 = cin.readString();
    File myfile = new File(s1);
    BufferedReader b= new BufferedReader(new FileReader(myfile));     
    int toplam=0; 
    boolean EOF=false;
    int j=0;
    while (!EOF)
    {
     try
     { 
      i[j]= Text.readInt(b);
      toplam+=i[j];
      ++j;
     }
     catch (EOFException e)
     { 
       b.close(); 
       EOF=true;
     }
    } //while

    System.out.println("Dosyanin icindeki sayilarin adedi: "+j);
    System.out.println("Ortalama: "+(double)toplam/20);    

  } //main

} //class
